PassiveAuthenticationException (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.authn
Class PassiveAuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.internet2.middleware.shibboleth.idp.authn.AuthenticationException
                  edu.internet2.middleware.shibboleth.idp.authn.PassiveAuthenticationException

All Implemented Interfaces:
  Serializable

    public class PassiveAuthenticationException

extends AuthenticationException

Exception indicating that passive authentication was requested but could not be performed.

See Also:
  Serialized Form

Constructor Summary
`PassiveAuthenticationException()` Constructor.
`PassiveAuthenticationException(Exception wrappedException)` Constructor.
`PassiveAuthenticationException(String message)` Constructor.
`PassiveAuthenticationException(String message, Exception wrappedException)` Constructor.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PassiveAuthenticationException

    public PassiveAuthenticationException()

  Constructor.

### PassiveAuthenticationException

    public PassiveAuthenticationException(String message)

  Constructor.

  Parameters:
    `message` - exception message

### PassiveAuthenticationException

    public PassiveAuthenticationException(Exception wrappedException)

  Constructor.

  Parameters:
    `wrappedException` - exception to be wrapped by this one

### PassiveAuthenticationException

    public PassiveAuthenticationException(String message,
                                          Exception wrappedException)

  Constructor.

  Parameters:
    `message` - exception message
    `wrappedException` - exception to be wrapped by this one

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.